category

Enables you to scrape Amazon categories using the ScrapeIN service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

The /category API endpoint enables you to send a GET request and retrieve specifically tailored Amazon Category results for your query.

When using this endpoint, you will receive comprehensive information pertaining to products, listings, and other relevant details that are associated with a specific category on Amazon's website. This helps you access a focused and relevant set of data aligned with your specific category-based search criteria.

Authentication

API-KEY. Use your API-KEY for authentication.

Output format

html, json, csv

🚧

Required Parameters

To specify the Amazon category, you have the following options:

  1. You can use a Category ID obtained from the Navigation API and an Amazon domain using the category_id and amazon_domain parameters respectively.
  2. Provide the url parameter containing the link to an Amazon product page. If the url parameter is used, the category_id parameter will be disregarded.

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. For more details click here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
Defaults to 6463520011

The category parameter allows you to focus your search on a particular category on Amazon. It's suggested to use a category ID obtained from the Navigation API since Amazon recognizes these IDs as valid. When using category_id, you can either use the numeric value from the Navigation API or a URL like https://amazon_domain/s?node=category_id. If you're looking to browse through a particular category on Amazon, it's better to choose the more specific subcategories rather than the general ones to make your scraping experience smoother.

string
enum
Defaults to amazon.com

Used to retrieve search results from. Check the Supported Amazon Domains for a complete list of domains supported. Please note that if you provide the category_id and amazon_domain parameters, the url parameter will be ignored.

string

Specifies the URL to be scraped instead of using the category_id parameter to perform a search query. The url parameter must be URL-encoded. Please note that if you provide the url parameters, the category_id and amazon_domain parameters will be ignored.

string
enum

Used to search for products on Amazon, you can choose how the search results are ordered using a parameter. You can sort them by most_recent, price_low_to_high or price_ high_to_low, featured items, or average_review.

Allowed:
int32

Used to specify the current page of search results you want to retrieve. To determine the total number of pages available for the search results, you can check the total_results property in the pagination object.

int32

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string

Used to refine your search results based on specific criteria such as "Reviews rating 4 and over," "Price range," and "Brand." To use refinements, start by making a category_id request without specifying any refinements. This will provide you with a list of available refinement options for a category or search item. You can then use these options to customize your searches in the future. Let's take two refinements as examples: n/21579968011 and p_72/1248879011. To include multiple refinements, separate them with commas. In our example, the refinements parameter would be: refinements=n/21579968011,p_72/1248879011. You can then use these options to customize your searches in the future.

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the raw HTML by setting the parameter to html, or the results in CSV format by setting it to csv.

Allowed:
string
enum

Used to determine the location it uses when fetching pages from Amazon. It helps show how a product appears on amazon.com to customers in different countries. It can also identify cross-border shipping information and opportunities. To find the available values for customer_location, refer to the Locations reference. If no customer_location value is provided, the API will automatically make the request from the country corresponding to the Amazon page requested. For example, if the page is from amazon.fr, the default customer_location will be "France."

string
enum

Used to determine the language in which the API requests the Amazon page to be displayed. This allows you to choose the preferred language for viewing the page. You can refer to the supported Languages list provided by Amazon to see the supported languages.

string
enum

Used to determine the currency in which the API requests the Amazon page to display prices and monetary values. By specifying the currency, you can view the prices on the page in your preferred currency. You can refer to the supported Currencies list for each Amazon domain to see the currency values that are supported.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

string
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json